aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/gdb/gdb_7.9.bb
diff options
context:
space:
mode:
authorKhem Raj <raj.khem@gmail.com>2015-03-02 02:11:00 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2015-04-06 20:33:55 +0100
commit34a77b11350f1f4ccd952f78fd660710b6efaac8 (patch)
treeeb7107d0eb221d8e51f47b6c041b0f0356dca539 /meta/recipes-devtools/gdb/gdb_7.9.bb
parent686ea128c5c38322693f43c2ff07750bee77ac70 (diff)
downloadopenembedded-core-contrib-34a77b11350f1f4ccd952f78fd660710b6efaac8.tar.gz
openembedded-core-contrib-34a77b11350f1f4ccd952f78fd660710b6efaac8.tar.bz2
openembedded-core-contrib-34a77b11350f1f4ccd952f78fd660710b6efaac8.zip
gdb: Upgrade 7.8.1 -> 7.9
Refresh patches against new baseline Change-Id: I34c5a284c12f669ff3539a363e5eded15eeeeb23 Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-devtools/gdb/gdb_7.9.bb')
-rw-r--r--meta/recipes-devtools/gdb/gdb_7.9.bb24
1 files changed, 24 insertions, 0 deletions
diff --git a/meta/recipes-devtools/gdb/gdb_7.9.bb b/meta/recipes-devtools/gdb/gdb_7.9.bb
new file mode 100644
index 0000000000..1abc9d8e76
--- /dev/null
+++ b/meta/recipes-devtools/gdb/gdb_7.9.bb
@@ -0,0 +1,24 @@
+require gdb.inc
+require gdb-${PV}.inc
+
+inherit python-dir
+
+PACKAGECONFIG ??= ""
+PACKAGECONFIG[python] = "--with-python=${WORKDIR}/python,--without-python,python"
+PACKAGECONFIG[babeltrace] = "--with-babeltrace,--without-babeltrace,babeltrace"
+
+do_configure_prepend() {
+ if [ -n "${@bb.utils.contains('PACKAGECONFIG', 'python', 'python', '', d)}" ]; then
+ cat > ${WORKDIR}/python << EOF
+#!/bin/sh
+case "\$2" in
+ --includes) echo "-I${STAGING_INCDIR}/${PYTHON_DIR}/" ;;
+ --ldflags) echo "-Wl,-rpath-link,${STAGING_LIBDIR}/.. -Wl,-rpath,${libdir}/.. -lpthread -ldl -lutil -lm -lpython${PYTHON_BASEVERSION}" ;;
+ --exec-prefix) echo "${exec_prefix}" ;;
+ *) exit 1 ;;
+esac
+exit 0
+EOF
+ chmod +x ${WORKDIR}/python
+ fi
+}